Package com.independentsoft.office.drawing

# Enum Class ShapeType

java.lang.Object
java.lang.Enum<ShapeType>
com.independentsoft.office.drawing.ShapeType

All Implemented Interfaces:
  `Serializable`, `Comparable<ShapeType>`, `Constable`

public enum ShapeType extends Enum<ShapeType>
The Enum ShapeType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCENT_CALLOUT_1`
  `ACCENT_CALLOUT_2`
  `ACCENT_CALLOUT_3`
  `ALTERNATE_PROCESS_FLOW_CHART`
  `BACK_PREVIOUS_BUTTON`
  `BEGINNING_BUTTON`
  `BENT_ARROW`
  `BENT_CONNECTOR_2`
  `BENT_CONNECTOR_3`
  `BENT_CONNECTOR_4`
  `BENT_CONNECTOR_5`
  `BENT_UP_ARROW`
  `BEVEL`
  `BLANK_BUTTON`
  `BLOCK_ARC`
  `BRACE_PAIR`
  `BRACKET_PAIR`
  `CALLOUT_1`
  `CALLOUT_1_WITH_BORDER`
  `CALLOUT_1_WITH_BORDER_AND_ACCENT`
  `CALLOUT_2`
  `CALLOUT_2_WITH_BORDER`
  `CALLOUT_2_WITH_BORDER_AND_ACCENT`
  `CALLOUT_3`
  `CALLOUT_3_WITH_BORDER`
  `CALLOUT_3_WITH_BORDER_AND_ACCENT`
  `CALLOUT_CLOUD`
  `CALLOUT_DOWN_ARROW`
  `CALLOUT_LEFT_ARROW`
  `CALLOUT_LEFT_RIGHT_ARROW`
  `CALLOUT_QUAD_ARROW`
  `CALLOUT_RIGHT_ARROW`
  `CALLOUT_UP_ARROW`
  `CALLOUT_UP_DOWN_ARROW`
  `CALLOUT_WEDGE_ELLIPSE`
  `CALLOUT_WEDGE_RECTANGLE`
  `CALLOUT_WEDGE_ROUND_RECTANGLE`
  `CAN`
  `CHART_PLUS`
  `CHART_STAR`
  `CHART_X`
  `CHEVRON`
  `CHORD`
  `CIRCULAR_ARROW`
  `CLOUD`
  `COLLATE_FLOW_CHART`
  `CONNECTOR_FLOW_CHART`
  `CORNER`
  `CORNER_TABS`
  `CUBE`
  `CURVED_ARC`
  `CURVED_CONNECTOR_2`
  `CURVED_CONNECTOR_3`
  `CURVED_CONNECTOR_4`
  `CURVED_CONNECTOR_5`
  `CURVED_DOWN_ARROW`
  `CURVED_LEFT_ARROW`
  `CURVED_RIGHT_ARROW`
  `CURVED_UP_ARROW`
  `DECAGON`
  `DECISION_FLOW_CHART`
  `DELAY_FLOW_CHART`
  `DIAGONAL_STRIPE`
  `DIAMOND`
  `DISPLAY_FLOW_CHART`
  `DOCUMENT_BUTTON`
  `DOCUMENT_FLOW_CHART`
  `DODECAGON`
  `DONUT`
  `DOUBLE_WAVE`
  `DOWN_ARROW`
  `ELLIPSE`
  `ELLIPSE_RIBBON`
  `ELLIPSE_RIBBON_2`
  `END_BUTTON`
  `EXTRACT_FLOW_CHART`
  `FOLDED_CORNER`
  `FORWARD_NEXT_BUTTON`
  `FRAME`
  `FUNNEL`
  `GEAR_6`
  `GEAR_9`
  `HALF_FRAME`
  `HEART`
  `HELP_BUTTON`
  `HEPTAGON`
  `HEXAGON`
  `HOME_BUTTON`
  `HOME_PLATE`
  `HORIZONTAL_SCROLL`
  `INFORMATION_BUTTON`
  `INPUT_OUTPUT_FLOW_CHART`
  `INTERNAL_STORAGE_FLOW_CHART`
  `IRREGULAR_SEAL_1`
  `IRREGULAR_SEAL_2`
  `LEFT_ARROW`
  `LEFT_BRACE`
  `LEFT_BRACKET`
  `LEFT_CIRCULAR_ARROW`
  `LEFT_RIGHT_ARROW`
  `LEFT_RIGHT_CIRCULAR_ARROW`
  `LEFT_RIGHT_RIBBON`
  `LEFT_RIGHT_UP_ARROW`
  `LEFT_UP_ARROW`
  `LIGHTNING_BOLT`
  `LINE`
  `LINE_INVERSE`
  `MAGNETIC_DISK_FLOW_CHART`
  `MAGNETIC_DRUM_FLOW_CHART`
  `MAGNETIC_TAPE_FLOW_CHART`
  `MANUAL_INPUT_FLOW_CHART`
  `MANUAL_OPERATION_FLOW_CHART`
  `MATH_DIVIDE`
  `MATH_EQUAL`
  `MATH_MINUS`
  `MATH_MULTIPLY`
  `MATH_NOT_EQUAL`
  `MATH_PLUS`
  `MERGE_FLOW_CHART`
  `MOON`
  `MOVIE_BUTTON`
  `MULTI_DOCUMENT_FLOW_CHART`
  `NO_SMOKING`
  `NON_ISOSCELES_TRAPEZOID`
  `NONE`
  `NOTCHED_RIGHT_ARROW`
  `OCTAGON`
  `OFF_PAGE_CONNECTOR_FLOW_CHART`
  `OFFLINE_STORAGE_FLOW_CHART`
  `ONE_ROUND_CORNER_RECTANGLE`
  `ONE_SNIP_CORNER_RECTANGLE`
  `ONE_SNIP_ONE_ROUND_CORNER_RECTANGLE`
  `ONLINE_STORAGE_FLOW_CHART`
  `OR_FLOW_CHART`
  `PARALLELOGRAM`
  `PENTAGON`
  `PIE`
  `PIE_WEDGE`
  `PLAQUE`
  `PLAQUE_TABS`
  `PLUS`
  `PREDEFINED_PROCESS_FLOW_CHART`
  `PREPARATION_FLOW_CHART`
  `PROCESS_FLOW_CHART`
  `PUNCHED_CARD_FLOW_CHART`
  `PUNCHED_TAPE_FLOW_CHART`
  `QUAD_ARROW`
  `RECTANGLE`
  `RETURN_BUTTON`
  `RIBBON`
  `RIBBON_2`
  `RIGHT_ARROW`
  `RIGHT_BRACE`
  `RIGHT_BRACKET`
  `RIGHT_TRIANGLE`
  `ROUND_CORNER_RECTANGLE`
  `SMILEY_FACE`
  `SORT_FLOW_CHART`
  `SOUND_BUTTON`
  `SQUARE_TABS`
  `STAR_10`
  `STAR_12`
  `STAR_16`
  `STAR_24`
  `STAR_32`
  `STAR_4`
  `STAR_5`
  `STAR_6`
  `STAR_7`
  `STAR_8`
  `STRAIGHT_CONNECTOR_1`
  `STRIPED_RIGHT_ARROW`
  `SUMMING_JUNCTION_FLOW_CHART`
  `SUN`
  `SWOOSH_ARROW`
  `TEARDROP`
  `TERMINATOR_FLOW_CHART`
  `TRAPEZOID`
  `TRIANGLE`
  `TWO_DIAGONAL_ROUND_CORNER_RECTANGLE`
  `TWO_DIAGONAL_SNIP_CORNER_RECTANGLE`
  `TWO_SAME_SIDE_ROUND_CORNER_RECTANGLE`
  `TWO_SAME_SIDE_SNIP_CORNER_RECTANGLE`
  `U_TURN_ARROW`
  `UP_ARROW`
  `UP_DOWN_ARROW`
  `VERTICAL_SCROLL`
  `WAVE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ShapeType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ShapeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CALLOUT_1_WITH_BORDER_AND_ACCENT

    public static final ShapeType CALLOUT_1_WITH_BORDER_AND_ACCENT

  - ### CALLOUT_2_WITH_BORDER_AND_ACCENT

    public static final ShapeType CALLOUT_2_WITH_BORDER_AND_ACCENT

  - ### CALLOUT_3_WITH_BORDER_AND_ACCENT

    public static final ShapeType CALLOUT_3_WITH_BORDER_AND_ACCENT

  - ### ACCENT_CALLOUT_1

    public static final ShapeType ACCENT_CALLOUT_1

  - ### ACCENT_CALLOUT_2

    public static final ShapeType ACCENT_CALLOUT_2

  - ### ACCENT_CALLOUT_3

    public static final ShapeType ACCENT_CALLOUT_3

  - ### BACK_PREVIOUS_BUTTON

    public static final ShapeType BACK_PREVIOUS_BUTTON

  - ### BEGINNING_BUTTON

    public static final ShapeType BEGINNING_BUTTON

  - ### BLANK_BUTTON

    public static final ShapeType BLANK_BUTTON

  - ### DOCUMENT_BUTTON

    public static final ShapeType DOCUMENT_BUTTON

  - ### END_BUTTON

    public static final ShapeType END_BUTTON

  - ### FORWARD_NEXT_BUTTON

    public static final ShapeType FORWARD_NEXT_BUTTON

  - ### HELP_BUTTON

    public static final ShapeType HELP_BUTTON

  - ### HOME_BUTTON

    public static final ShapeType HOME_BUTTON

  - ### INFORMATION_BUTTON

    public static final ShapeType INFORMATION_BUTTON

  - ### MOVIE_BUTTON

    public static final ShapeType MOVIE_BUTTON

  - ### RETURN_BUTTON

    public static final ShapeType RETURN_BUTTON

  - ### SOUND_BUTTON

    public static final ShapeType SOUND_BUTTON

  - ### CURVED_ARC

    public static final ShapeType CURVED_ARC

  - ### BENT_ARROW

    public static final ShapeType BENT_ARROW

  - ### BENT_CONNECTOR_2

    public static final ShapeType BENT_CONNECTOR_2

  - ### BENT_CONNECTOR_3

    public static final ShapeType BENT_CONNECTOR_3

  - ### BENT_CONNECTOR_4

    public static final ShapeType BENT_CONNECTOR_4

  - ### BENT_CONNECTOR_5

    public static final ShapeType BENT_CONNECTOR_5

  - ### BENT_UP_ARROW

    public static final ShapeType BENT_UP_ARROW

  - ### BEVEL

    public static final ShapeType BEVEL

  - ### BLOCK_ARC

    public static final ShapeType BLOCK_ARC

  - ### CALLOUT_1_WITH_BORDER

    public static final ShapeType CALLOUT_1_WITH_BORDER

  - ### CALLOUT_2_WITH_BORDER

    public static final ShapeType CALLOUT_2_WITH_BORDER

  - ### CALLOUT_3_WITH_BORDER

    public static final ShapeType CALLOUT_3_WITH_BORDER

  - ### BRACE_PAIR

    public static final ShapeType BRACE_PAIR

  - ### BRACKET_PAIR

    public static final ShapeType BRACKET_PAIR

  - ### CALLOUT_1

    public static final ShapeType CALLOUT_1

  - ### CALLOUT_2

    public static final ShapeType CALLOUT_2

  - ### CALLOUT_3

    public static final ShapeType CALLOUT_3

  - ### CAN

    public static final ShapeType CAN

  - ### CHART_PLUS

    public static final ShapeType CHART_PLUS

  - ### CHART_STAR

    public static final ShapeType CHART_STAR

  - ### CHART_X

    public static final ShapeType CHART_X

  - ### CHEVRON

    public static final ShapeType CHEVRON

  - ### CHORD

    public static final ShapeType CHORD

  - ### CIRCULAR_ARROW

    public static final ShapeType CIRCULAR_ARROW

  - ### CLOUD

    public static final ShapeType CLOUD

  - ### CALLOUT_CLOUD

    public static final ShapeType CALLOUT_CLOUD

  - ### CORNER

    public static final ShapeType CORNER

  - ### CORNER_TABS

    public static final ShapeType CORNER_TABS

  - ### CUBE

    public static final ShapeType CUBE

  - ### CURVED_CONNECTOR_2

    public static final ShapeType CURVED_CONNECTOR_2

  - ### CURVED_CONNECTOR_3

    public static final ShapeType CURVED_CONNECTOR_3

  - ### CURVED_CONNECTOR_4

    public static final ShapeType CURVED_CONNECTOR_4

  - ### CURVED_CONNECTOR_5

    public static final ShapeType CURVED_CONNECTOR_5

  - ### CURVED_DOWN_ARROW

    public static final ShapeType CURVED_DOWN_ARROW

  - ### CURVED_LEFT_ARROW

    public static final ShapeType CURVED_LEFT_ARROW

  - ### CURVED_RIGHT_ARROW

    public static final ShapeType CURVED_RIGHT_ARROW

  - ### CURVED_UP_ARROW

    public static final ShapeType CURVED_UP_ARROW

  - ### DECAGON

    public static final ShapeType DECAGON

  - ### DIAGONAL_STRIPE

    public static final ShapeType DIAGONAL_STRIPE

  - ### DIAMOND

    public static final ShapeType DIAMOND

  - ### DODECAGON

    public static final ShapeType DODECAGON

  - ### DONUT

    public static final ShapeType DONUT

  - ### DOUBLE_WAVE

    public static final ShapeType DOUBLE_WAVE

  - ### DOWN_ARROW

    public static final ShapeType DOWN_ARROW

  - ### CALLOUT_DOWN_ARROW

    public static final ShapeType CALLOUT_DOWN_ARROW

  - ### ELLIPSE

    public static final ShapeType ELLIPSE

  - ### ELLIPSE_RIBBON

    public static final ShapeType ELLIPSE_RIBBON

  - ### ELLIPSE_RIBBON_2

    public static final ShapeType ELLIPSE_RIBBON_2

  - ### ALTERNATE_PROCESS_FLOW_CHART

    public static final ShapeType ALTERNATE_PROCESS_FLOW_CHART

  - ### COLLATE_FLOW_CHART

    public static final ShapeType COLLATE_FLOW_CHART

  - ### CONNECTOR_FLOW_CHART

    public static final ShapeType CONNECTOR_FLOW_CHART

  - ### DECISION_FLOW_CHART

    public static final ShapeType DECISION_FLOW_CHART

  - ### DELAY_FLOW_CHART

    public static final ShapeType DELAY_FLOW_CHART

  - ### DISPLAY_FLOW_CHART

    public static final ShapeType DISPLAY_FLOW_CHART

  - ### DOCUMENT_FLOW_CHART

    public static final ShapeType DOCUMENT_FLOW_CHART

  - ### EXTRACT_FLOW_CHART

    public static final ShapeType EXTRACT_FLOW_CHART

  - ### INPUT_OUTPUT_FLOW_CHART

    public static final ShapeType INPUT_OUTPUT_FLOW_CHART

  - ### INTERNAL_STORAGE_FLOW_CHART

    public static final ShapeType INTERNAL_STORAGE_FLOW_CHART

  - ### MAGNETIC_DISK_FLOW_CHART

    public static final ShapeType MAGNETIC_DISK_FLOW_CHART

  - ### MAGNETIC_DRUM_FLOW_CHART

    public static final ShapeType MAGNETIC_DRUM_FLOW_CHART

  - ### MAGNETIC_TAPE_FLOW_CHART

    public static final ShapeType MAGNETIC_TAPE_FLOW_CHART

  - ### MANUAL_INPUT_FLOW_CHART

    public static final ShapeType MANUAL_INPUT_FLOW_CHART

  - ### MANUAL_OPERATION_FLOW_CHART

    public static final ShapeType MANUAL_OPERATION_FLOW_CHART

  - ### MERGE_FLOW_CHART

    public static final ShapeType MERGE_FLOW_CHART

  - ### MULTI_DOCUMENT_FLOW_CHART

    public static final ShapeType MULTI_DOCUMENT_FLOW_CHART

  - ### OFFLINE_STORAGE_FLOW_CHART

    public static final ShapeType OFFLINE_STORAGE_FLOW_CHART

  - ### OFF_PAGE_CONNECTOR_FLOW_CHART

    public static final ShapeType OFF_PAGE_CONNECTOR_FLOW_CHART

  - ### ONLINE_STORAGE_FLOW_CHART

    public static final ShapeType ONLINE_STORAGE_FLOW_CHART

  - ### OR_FLOW_CHART

    public static final ShapeType OR_FLOW_CHART

  - ### PREDEFINED_PROCESS_FLOW_CHART

    public static final ShapeType PREDEFINED_PROCESS_FLOW_CHART

  - ### PREPARATION_FLOW_CHART

    public static final ShapeType PREPARATION_FLOW_CHART

  - ### PROCESS_FLOW_CHART

    public static final ShapeType PROCESS_FLOW_CHART

  - ### PUNCHED_CARD_FLOW_CHART

    public static final ShapeType PUNCHED_CARD_FLOW_CHART

  - ### PUNCHED_TAPE_FLOW_CHART

    public static final ShapeType PUNCHED_TAPE_FLOW_CHART

  - ### SORT_FLOW_CHART

    public static final ShapeType SORT_FLOW_CHART

  - ### SUMMING_JUNCTION_FLOW_CHART

    public static final ShapeType SUMMING_JUNCTION_FLOW_CHART

  - ### TERMINATOR_FLOW_CHART

    public static final ShapeType TERMINATOR_FLOW_CHART

  - ### FOLDED_CORNER

    public static final ShapeType FOLDED_CORNER

  - ### FRAME

    public static final ShapeType FRAME

  - ### FUNNEL

    public static final ShapeType FUNNEL

  - ### GEAR_6

    public static final ShapeType GEAR_6

  - ### GEAR_9

    public static final ShapeType GEAR_9

  - ### HALF_FRAME

    public static final ShapeType HALF_FRAME

  - ### HEART

    public static final ShapeType HEART

  - ### HEPTAGON

    public static final ShapeType HEPTAGON

  - ### HEXAGON

    public static final ShapeType HEXAGON

  - ### HOME_PLATE

    public static final ShapeType HOME_PLATE

  - ### HORIZONTAL_SCROLL

    public static final ShapeType HORIZONTAL_SCROLL

  - ### IRREGULAR_SEAL_1

    public static final ShapeType IRREGULAR_SEAL_1

  - ### IRREGULAR_SEAL_2

    public static final ShapeType IRREGULAR_SEAL_2

  - ### LEFT_ARROW

    public static final ShapeType LEFT_ARROW

  - ### CALLOUT_LEFT_ARROW

    public static final ShapeType CALLOUT_LEFT_ARROW

  - ### LEFT_BRACE

    public static final ShapeType LEFT_BRACE

  - ### LEFT_BRACKET

    public static final ShapeType LEFT_BRACKET

  - ### LEFT_CIRCULAR_ARROW

    public static final ShapeType LEFT_CIRCULAR_ARROW

  - ### LEFT_RIGHT_ARROW

    public static final ShapeType LEFT_RIGHT_ARROW

  - ### CALLOUT_LEFT_RIGHT_ARROW

    public static final ShapeType CALLOUT_LEFT_RIGHT_ARROW

  - ### LEFT_RIGHT_CIRCULAR_ARROW

    public static final ShapeType LEFT_RIGHT_CIRCULAR_ARROW

  - ### LEFT_RIGHT_RIBBON

    public static final ShapeType LEFT_RIGHT_RIBBON

  - ### LEFT_RIGHT_UP_ARROW

    public static final ShapeType LEFT_RIGHT_UP_ARROW

  - ### LEFT_UP_ARROW

    public static final ShapeType LEFT_UP_ARROW

  - ### LIGHTNING_BOLT

    public static final ShapeType LIGHTNING_BOLT

  - ### LINE

    public static final ShapeType LINE

  - ### LINE_INVERSE

    public static final ShapeType LINE_INVERSE

  - ### MATH_DIVIDE

    public static final ShapeType MATH_DIVIDE

  - ### MATH_EQUAL

    public static final ShapeType MATH_EQUAL

  - ### MATH_MINUS

    public static final ShapeType MATH_MINUS

  - ### MATH_MULTIPLY

    public static final ShapeType MATH_MULTIPLY

  - ### MATH_NOT_EQUAL

    public static final ShapeType MATH_NOT_EQUAL

  - ### MATH_PLUS

    public static final ShapeType MATH_PLUS

  - ### MOON

    public static final ShapeType MOON

  - ### NON_ISOSCELES_TRAPEZOID

    public static final ShapeType NON_ISOSCELES_TRAPEZOID

  - ### NO_SMOKING

    public static final ShapeType NO_SMOKING

  - ### NOTCHED_RIGHT_ARROW

    public static final ShapeType NOTCHED_RIGHT_ARROW

  - ### OCTAGON

    public static final ShapeType OCTAGON

  - ### PARALLELOGRAM

    public static final ShapeType PARALLELOGRAM

  - ### PENTAGON

    public static final ShapeType PENTAGON

  - ### PIE

    public static final ShapeType PIE

  - ### PIE_WEDGE

    public static final ShapeType PIE_WEDGE

  - ### PLAQUE

    public static final ShapeType PLAQUE

  - ### PLAQUE_TABS

    public static final ShapeType PLAQUE_TABS

  - ### PLUS

    public static final ShapeType PLUS

  - ### QUAD_ARROW

    public static final ShapeType QUAD_ARROW

  - ### CALLOUT_QUAD_ARROW

    public static final ShapeType CALLOUT_QUAD_ARROW

  - ### RECTANGLE

    public static final ShapeType RECTANGLE

  - ### RIBBON

    public static final ShapeType RIBBON

  - ### RIBBON_2

    public static final ShapeType RIBBON_2

  - ### RIGHT_ARROW

    public static final ShapeType RIGHT_ARROW

  - ### CALLOUT_RIGHT_ARROW

    public static final ShapeType CALLOUT_RIGHT_ARROW

  - ### RIGHT_BRACE

    public static final ShapeType RIGHT_BRACE

  - ### RIGHT_BRACKET

    public static final ShapeType RIGHT_BRACKET

  - ### ONE_ROUND_CORNER_RECTANGLE

    public static final ShapeType ONE_ROUND_CORNER_RECTANGLE

  - ### TWO_DIAGONAL_ROUND_CORNER_RECTANGLE

    public static final ShapeType TWO_DIAGONAL_ROUND_CORNER_RECTANGLE

  - ### TWO_SAME_SIDE_ROUND_CORNER_RECTANGLE

    public static final ShapeType TWO_SAME_SIDE_ROUND_CORNER_RECTANGLE

  - ### ROUND_CORNER_RECTANGLE

    public static final ShapeType ROUND_CORNER_RECTANGLE

  - ### RIGHT_TRIANGLE

    public static final ShapeType RIGHT_TRIANGLE

  - ### SMILEY_FACE

    public static final ShapeType SMILEY_FACE

  - ### ONE_SNIP_CORNER_RECTANGLE

    public static final ShapeType ONE_SNIP_CORNER_RECTANGLE

  - ### TWO_DIAGONAL_SNIP_CORNER_RECTANGLE

    public static final ShapeType TWO_DIAGONAL_SNIP_CORNER_RECTANGLE

  - ### TWO_SAME_SIDE_SNIP_CORNER_RECTANGLE

    public static final ShapeType TWO_SAME_SIDE_SNIP_CORNER_RECTANGLE

  - ### ONE_SNIP_ONE_ROUND_CORNER_RECTANGLE

    public static final ShapeType ONE_SNIP_ONE_ROUND_CORNER_RECTANGLE

  - ### SQUARE_TABS

    public static final ShapeType SQUARE_TABS

  - ### STAR_10

    public static final ShapeType STAR_10

  - ### STAR_12

    public static final ShapeType STAR_12

  - ### STAR_16

    public static final ShapeType STAR_16

  - ### STAR_24

    public static final ShapeType STAR_24

  - ### STAR_32

    public static final ShapeType STAR_32

  - ### STAR_4

    public static final ShapeType STAR_4

  - ### STAR_5

    public static final ShapeType STAR_5

  - ### STAR_6

    public static final ShapeType STAR_6

  - ### STAR_7

    public static final ShapeType STAR_7

  - ### STAR_8

    public static final ShapeType STAR_8

  - ### STRAIGHT_CONNECTOR_1

    public static final ShapeType STRAIGHT_CONNECTOR_1

  - ### STRIPED_RIGHT_ARROW

    public static final ShapeType STRIPED_RIGHT_ARROW

  - ### SUN

    public static final ShapeType SUN

  - ### SWOOSH_ARROW

    public static final ShapeType SWOOSH_ARROW

  - ### TEARDROP

    public static final ShapeType TEARDROP

  - ### TRAPEZOID

    public static final ShapeType TRAPEZOID

  - ### TRIANGLE

    public static final ShapeType TRIANGLE

  - ### UP_ARROW

    public static final ShapeType UP_ARROW

  - ### CALLOUT_UP_ARROW

    public static final ShapeType CALLOUT_UP_ARROW

  - ### UP_DOWN_ARROW

    public static final ShapeType UP_DOWN_ARROW

  - ### CALLOUT_UP_DOWN_ARROW

    public static final ShapeType CALLOUT_UP_DOWN_ARROW

  - ### U_TURN_ARROW

    public static final ShapeType U_TURN_ARROW

  - ### VERTICAL_SCROLL

    public static final ShapeType VERTICAL_SCROLL

  - ### WAVE

    public static final ShapeType WAVE

  - ### CALLOUT_WEDGE_ELLIPSE

    public static final ShapeType CALLOUT_WEDGE_ELLIPSE

  - ### CALLOUT_WEDGE_RECTANGLE

    public static final ShapeType CALLOUT_WEDGE_RECTANGLE

  - ### CALLOUT_WEDGE_ROUND_RECTANGLE

    public static final ShapeType CALLOUT_WEDGE_ROUND_RECTANGLE

  - ### NONE

    public static final ShapeType NONE

- ## Method Details

  - ### values

    public static ShapeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ShapeType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null